summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/plugin_config_for_inventory/runme.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
commit8a754e0858d922e955e71b253c139e071ecec432 (patch)
tree527d16e74bfd1840c85efd675fdecad056c54107 /test/integration/targets/plugin_config_for_inventory/runme.sh
parentInitial commit. (diff)
downloadansible-core-upstream.tar.xz
ansible-core-upstream.zip
Adding upstream version 2.14.3.upstream/2.14.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/integration/targets/plugin_config_for_inventory/runme.sh')
-rwxr-xr-xtest/integration/targets/plugin_config_for_inventory/runme.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/integration/targets/plugin_config_for_inventory/runme.sh b/test/integration/targets/plugin_config_for_inventory/runme.sh
new file mode 100755
index 0000000..2a22325
--- /dev/null
+++ b/test/integration/targets/plugin_config_for_inventory/runme.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o xtrace
+
+export ANSIBLE_INVENTORY_PLUGINS=./
+export ANSIBLE_INVENTORY_ENABLED=test_inventory
+
+# check default values
+ansible-inventory --list -i ./config_without_parameter.yml --export | \
+ env python -c "import json, sys; inv = json.loads(sys.stdin.read()); \
+ assert set(inv['_meta']['hostvars']['test_host']['departments']) == set(['seine-et-marne', 'haute-garonne'])"
+
+# check values
+ansible-inventory --list -i ./config_with_parameter.yml --export | \
+ env python -c "import json, sys; inv = json.loads(sys.stdin.read()); \
+ assert set(inv['_meta']['hostvars']['test_host']['departments']) == set(['paris'])"
+
+export ANSIBLE_CACHE_PLUGINS=cache_plugins/
+export ANSIBLE_CACHE_PLUGIN=none
+ansible-inventory --list -i ./config_with_parameter.yml --export | \
+ env python -c "import json, sys; inv = json.loads(sys.stdin.read()); \
+ assert inv['_meta']['hostvars']['test_host']['given_timeout'] == inv['_meta']['hostvars']['test_host']['cache_timeout']"